html {
    overflow-x: hidden;
}

body {
    position: relative;
    font-family: 'Righteous';
    line-height: 1.6;
    margin: 0;
    padding: 0;
}

.scroll-hidden {
    opacity: 0;
    transform: translateY(100px);
    transition: all 2s ease-out;
}

.scroll-hidden1 {
    opacity: 0;
    transform: scale(0.5);
    transition: all 2s ease-out;
}

.scroll-visible {
    opacity: 1;
    transform: translateY(0) scale(1);
}

.green {
    color: #41C757;
}

p,
a {
    font-size: 18px;
}

.our_company_title {
    background-size: cover;
    background-image: url(pictures/about_us_bg.png);
    background-repeat: no-repeat;
    position: relative;
    display: grid;
    align-items: center;
    height: 300px;
}

.our_company_title h2 {
    color: #1B48B2;
    display: inline-flex;
    justify-content: center;
    width: fit-content;
    position: relative;
    background-color: transparent;
    height: fit-content;
    z-index: 0;
    margin-left: 20%;
    font-size: 50px;
    margin-bottom: unset;
}

.our_company_title h2::before {
    z-index: -1;
    content: '';
    position: absolute;
    top: 50%;
    left: 0;
    width: 100%;
    height: 25%;
    background-color: rgba(85, 255, 0, 0.35);
    transform: translateY(-50%);
}

.our_company_title p {
    color: #1B48B2;
    width: 60%;
    text-align: right;
    background-color: rgba(85, 255, 0, 0.35);
    font-size: 25px;
    margin-top: unset;
    margin-left: 20%;
}

.blue_background {
    display: flex;
    position: relative;
    justify-content: center;
    background-color: #3a67b1;
}

.blue_background .ourcompany {
    position: relative;
    margin-top: 80px;
    width: 95%;
    height: fit-content;
    border-radius: 40px 40px 0 0;
    background: linear-gradient(180deg, #C4CFE8 0%, #FFFFFF 100%);
}

.ourcompany h2 {
    margin: 10px 30px;
    margin-top: 40px;
    font-size: 40px;
    font-weight: bold;
}

.ourcompany_background1 {
    position: relative;
    display: flex;
    flex-wrap: wrap;
    width: 90%;
    left: 5%;
}


.ourcompany_background {
    margin: 20px 20px;
    padding: 10px 10px;
    width: 55%;
    height: fit-content;
    border-radius: 10px;
    position: relative;
    /* background-color: rgba(174, 174, 174, 0.5); */
}

.ourcompany_background p {
    margin: 10px 20px;
    font-size: 20px;
    text-align: justify;
}

.ourcompany_background1 img {
    position: relative;
    width: 30%;
    height: fit-content;
    margin: 5% 5%;
    top: -50px;
}

.ourcompany_content {
    margin-top: 50px;
    justify-content: center;
    width: 100%;
    position: relative;
    display: flex;
    flex-wrap: wrap;

}

.film {
    display: flex;
    position: relative;
    width: 100%;
    height: fit-content;
    padding: 20px 0;
    padding-top: 50px;
    justify-content: center;

}

.film iframe {
    position: relative;
    width: 70%;
    height: 500px;
    margin: auto;
    border-radius: 10px;
}

.whyus,
.commitment {
    margin: 10px 10px;
    position: relative;
    width: 35%;
    justify-content: center;
    text-align: center;
    background-color: #fff;
    border-radius: 20px;
    box-shadow: 4px 10px 30px rgba(0, 0, 0, 0.06);
}

.whyus h2,
.commitment h2 {
    color: #4361EE;
}

.whyus p,
.commitment p {
    margin: 3% 5%;
    text-align: justify;
}

::-webkit-scrollbar {
    width: 10px;
}

::-webkit-scrollbar-track {
    background: #f1f1f1;
}

::-webkit-scrollbar-thumb {
    background: #3A67B1;
    border-radius: 10px;
}

::-webkit-scrollbar-thumb:hover {
    background: #3A67B1;
}

@media (max-width :1400px) {
    .ourcompany_background {
        width: 100%;
    }

    .ourcompany_background1 img {
        width: 40%;
        top: 0px;
        height: auto;
    }

}

@media (max-width :1150px) {
    .our_company_title h2::before {
        display: none;
    }
}

@media (max-width :850px) {

    .whyus,
    .commitment {
        min-width: 300px;
    }

    .film iframe {
        width: 80%; 
        height: 400px;   
    }
}

@media (max-width :600px) {


    .film iframe {
        height: 350px;   
    }
}

@media (max-width :480px) {
    .our_company_title h2 {
        font-size: 40px;
        margin-right: 20%;
    }

    .ourcompany_background p,
    .whyus p,
    .commitment p {
        font-size: 18px;
    }

    .ourcompany_background1 img {
        width: 80%;
        height: auto;
        top: 0px;
        justify-content: center;
    }

    .ourcompany_background {
        margin: unset;
        padding: unset;
    }
    .film iframe {
        width: 90%;    
        height: 300px;
    }
}

@media (max-width :400px) {

    .ourcompany_background p,
    .whyus p,
    .commitment p {
        font-size: 15px;
    }
}
